Subject: Re: automatic relocation problem? (WAS: problem with 3rd party lib)
From: Thomas Kowatsch <[email-masked]>
To: Cygwin List <[email-masked]>
Date: Thu, 16 Sep 1999 15:11:31 +0200

Earnie Boyd wrote:

> --- Thomas Kowatsch <[email-masked]> wrote:
> > I tracked the problem a litlle bit more down. It seems to me that
> -8<-
> > 779d0000:/c/WINNT/System32/MSVCRT40.dll
> > 78000000:/c/WINNT/system32/MSVCRT.dll
> > 780a0000:/c/WINNT/System32/MSVCIRT.dll
> > warning: LDR: Automatic DLL Relocation in testit3.exe
> >
> -8<-
> > 61000000:/usr/local/cygnus/cygwin-b20/usr/bin/cygwin1.dll
> -8<-
>
> Your problem is that you're using two different runtimes.

I think my 3rd party library is using the MSVCRT runtime. Is thereany
way I can use this 3rd party lib then and cygwin?

Is this a general problem that MSVC libraries are not usable? So
the 3rd party vendor has to support a cygwin version?

Cheers
Tommy

--
------------------------------------------------------------------------
Thomas Kowatsch                      | - Senior Software Engineer -
Switching Test Solutions AG          | mailto: [email-masked]
Wavetek Wandel & Goltermann Divison5 | web   : http://www.stest.com
Friesenbergstr. 75                   | Phone : +41 1 454-6731
CH-8055 Zuerich                      | FAX   : +41 1 454-6612

--
Want to unsubscribe from this list?
Send a message to [email-masked]